CS::Animation::BoneMapping Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CS::Animation::BoneMapping Struct Reference

This class holds the mapping between the bones of a source and a target skeleton. More...

`#include <imesh/animnode/retarget.h>`

List of all members.

## Public Member Functions
void | AddMapping (CS::Animation::BoneID sourceBone, CS::Animation::BoneID targetBone)
| Add a mapping between the given bones.
CS::Animation::BoneID | GetSourceBone (CS::Animation::BoneID bone)
| Get the corresponding bone on the source skeleton.
CS::Animation::BoneID | GetTargetBone (CS::Animation::BoneID bone)
| Get the corresponding bone on the target skeleton.
void | RemoveMapping (CS::Animation::BoneID sourceBone, CS::Animation::BoneID targetBone)
| Remove a mapping between the given bones.

## Detailed Description

This class holds the mapping between the bones of a source and a target skeleton.

See also:
  CS::Animation::NameBoneMappingHelper

Definition at line 48 of file retarget.h.

## Member Function Documentation

void CS::Animation::BoneMapping::AddMapping | ( | CS::Animation::BoneID | sourceBone,
|  | CS::Animation::BoneID | targetBone
| ) |  | `[inline]`

Add a mapping between the given bones.

Definition at line 51 of file retarget.h.

CS::Animation::BoneID CS::Animation::BoneMapping::GetSourceBone | ( | CS::Animation::BoneID | bone | ) | `[inline]`

Get the corresponding bone on the source skeleton.

Definition at line 65 of file retarget.h.

CS::Animation::BoneID CS::Animation::BoneMapping::GetTargetBone | ( | CS::Animation::BoneID | bone | ) | `[inline]`

Get the corresponding bone on the target skeleton.

Definition at line 74 of file retarget.h.

void CS::Animation::BoneMapping::RemoveMapping | ( | CS::Animation::BoneID | sourceBone,
|  | CS::Animation::BoneID | targetBone
| ) |  | `[inline]`

Remove a mapping between the given bones.

Definition at line 58 of file retarget.h.

The documentation for this struct was generated from the following file:

- imesh/animnode/retarget.h